[Setup] Re: Plone 2.0.5 on MS Server - Upgrade Zope & Python

Nick Davis nd51 at le.ac.uk
Mon Jan 23 09:52:09 UTC 2006


Stephen Cook wrote:
> Zope frequently crashes on our Windows Server.  I believe this is 
> happening because we're running 2.7.0, and I would like to upgrade to 
> 2.7.8.  Unfortunately, I cannot find any documentation on how to upgrade 
> Zope without upgrading all of Plone, and my test upgrades have been 
> unsuccessful.  I've searched all over plone.org, zope.org. Google, etc. 
> with no success. We're currently in the testing stages of migrating to 
> 2.1.1, but we need to improve system stability ASAP.  He're our config:
> 
> OS - MS Server 2003
> Plone - 2.0.5
> Zope - 2.7.0
> Python - 2.3.3
> 
> We also need to upgrade to Python 2.3.5.  Does anybody have tips to 
> upgrade Python as well?
> 
> We've sort of found a work around.  So far, our attempts to migrate to 
> Plone 2.1.1 ultimately fail, but both Zope & Python end up being 
> upgraded to 2.7.8 & 2.3.5, I believe.  I just keep thinking that there 
> must be an easier way.
> 
> Thanks,
> Stephen
> 
> 

How about creating a fresh instance of Zope 2.7.8, built with Python 
2.3.5, then copy across your existing Data.fs, config files and 
contents of Products directory?

That way you'll have a Python 2.3.5 / Zope 2.7.8 / Plone 2.0.5 platform.

Then later you can do the Plone 2.0.5-> 2.1.1 migration on that platform 
which would be changing less things at once and therefore less error-prone.

Your life would be a lot easier if you used Linux or Mac OS X, of 
course. ;-)

Nick




More information about the Setup mailing list